<?php
/**
 * Login class
 *
 * This file defines YSUWLoginControlEN class.
 * It includes methods to control login.
 *
 * @package YggDore.Server.UserWeb.Theme.EN
 * @author YggDore Co.,Ltd.
 */



/**
 * Require YSThemeEN class
 */
require_once( "YggDore/Server/Base/Theme/EN/YSThemeEN.php" );
/**
 * Require YSWErrorEN class
 */
require_once( "YggDore/Server/BaseWeb/Theme/EN/YSWErrorEN.php" );
/**
 * Require YSUWLoginControlBase class
 */
require_once( "YggDore/Server/UserWeb/YSUWLoginControlBase.php" );
/**
 * Require YSUWLoginEN class
 */
require_once( "YggDore/Server/UserWeb/Theme/EN/YSUWLoginEN.php" );



/**
 * Login class
 *
 * This class has methods to control login.
 *
 * <code>
 * $login = new YSUWLoginControlEN;
 * $login->start();
 * $login->stop();
 * </code>
 *
 * @package YggDore.Server.UserWeb.Theme.EN
 */
class YSUWLoginControlEN extends YSUWLoginControlBase {
	/**
	 * Get language
	 *
	 * Language is returned.
	 *
	 * @return string Language
	 */
	protected function _getLang()
	{
		return "EN";
	}
}
?>
