<?php
/**
 * Login class
 *
 * This file defines YSUWLoginControlJP class.
 * It includes methods to control login.
 *
 * @package YggDore.Server.UserWeb.Theme.JP
 * @author YggDore Co.,Ltd.
 */



/**
 * Require YSThemeJP class
 */
require_once( "YggDore/Server/Base/Theme/JP/YSThemeJP.php" );
/**
 * Require YSWErrorJP class
 */
require_once( "YggDore/Server/BaseWeb/Theme/JP/YSWErrorJP.php" );
/**
 * Require YSUWLoginControlBase class
 */
require_once( "YggDore/Server/UserWeb/YSUWLoginControlBase.php" );
/**
 * Require YSUWLoginJP class
 */
require_once( "YggDore/Server/UserWeb/Theme/JP/YSUWLoginJP.php" );



/**
 * Login class
 *
 * This class has methods to control login.
 *
 * <code>
 * $login = new YSUWLoginControlJP;
 * $login->start();
 * $login->stop();
 * </code>
 *
 * @package YggDore.Server.UserWeb.Theme.JP
 */
class YSUWLoginControlJP extends YSUWLoginControlBase {
	/**
	 * Get language
	 *
	 * Language is returned.
	 *
	 * @return string Language
	 */
	protected function _getLang()
	{
		return "JP";
	}
}
?>
