<?php
/**
 * Login information class
 *
 * This file defines YSUWLoginInfoJP class.
 * It includes methods to manage login information.
 *
 * @package YggDore.Server.UserWeb.Theme.JP
 * @author YggDore Co.,Ltd.
 */



/**
 * Require YSUWLoginInfoBase class
 */
require_once( "YggDore/Server/UserWeb/YSUWLoginInfoBase.php" );
/**
 * Require YSUWLoginControlJP class
 */
require_once( "YggDore/Server/UserWeb/Theme/JP/YSUWLoginControlJP.php" );



/**
 * Login information class
 *
 * This method has methods to manage login information.
 *
 * <code>
 * $login = new YSUWLoginInfoJP;
 * $lctl  = $login->set();
 * $lctl->stop();
 * </code>
 *
 * @package YggDore.Server.UserWeb.Theme.JP
 */
class YSUWLoginInfoJP extends YSUWLoginInfoBase {
	/**
	 * Get language
	 *
	 * Language is returned.
	 *
	 * @return string Language
	 */
	protected function _getLang()
	{
		return "JP";
	}
}
?>
