<?php
/**
 * Login class
 *
 * This file defines YSUWLoginControlJPM class.
 * It includes methods to control login.
 *
 * @package YggDore.Server.UserWeb.Theme.JPM
 * @author YggDore Co.,Ltd.
 */



/**
 * Require YSThemeJPM class
 */
require_once( "YggDore/Server/Base/Theme/JPM/YSThemeJPM.php" );
/**
 * Require YSWErrorJPM class
 */
require_once( "YggDore/Server/BaseWeb/Theme/JPM/YSWErrorJPM.php" );
/**
 * Require YSUWLoginControlBase class
 */
require_once( "YggDore/Server/UserWeb/YSUWLoginControlBase.php" );
/**
 * Require YSUWLoginJPM class
 */
require_once( "YggDore/Server/UserWeb/Theme/JPM/YSUWLoginJPM.php" );



/**
 * Login class
 *
 * This class has methods to control login.
 *
 * <code>
 * $login = new YSUWLoginControlJPM;
 * $login->start();
 * $login->stop();
 * </code>
 *
 * @package YggDore.Server.UserWeb.Theme.JPM
 */
class YSUWLoginControlJPM extends YSUWLoginControlBase {
	/**
	 * Get language
	 *
	 * Language is returned.
	 *
	 * @return string Language
	 */
	protected function _getLang()
	{
		return "JPM";
	}
}
?>
