<?php
/**
 * Login information class
 *
 * This file defines YSUWLoginInfoJPM class.
 * It includes methods to manage login information.
 *
 * @package YggDore.Server.UserWeb.Theme.JPM
 * @author YggDore Co.,Ltd.
 */



/**
 * Require YSUWLoginInfoBase class
 */
require_once( "YggDore/Server/UserWeb/YSUWLoginInfoBase.php" );
/**
 * Require YSUWLoginControlJPM class
 */
require_once( "YggDore/Server/UserWeb/Theme/JPM/YSUWLoginControlJPM.php" );



/**
 * Login information class
 *
 * This method has methods to manage login information.
 *
 * <code>
 * $login = new YSUWLoginInfoJPM;
 * $lctl  = $login->set();
 * $lctl->stop();
 * </code>
 *
 * @package YggDore.Server.UserWeb.Theme.JPM
 */
class YSUWLoginInfoJPM extends YSUWLoginInfoBase {
	/**
	 * Get language
	 *
	 * Language is returned.
	 *
	 * @return string Language
	 */
	protected function _getLang()
	{
		return "JPM";
	}
}
?>
